# [BETA] List SSH keys

```http
GET /compute/v1/tenants/{tenantId}/ssh-keys
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListSSHKeys`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:ssh_keys`

Returns a list of SSH keys for a tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `fingerprint` (string)
    - `id` (string)
    - `name` (string)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
